Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(311)

Issue 1307293002: Virtual test suites for slimming paint phase 2 (Closed)

Created:
3 years, 7 months ago by Xianzhu
Modified:
3 years, 7 months ago
Reviewers:
joelo, chrishtr, pdr.
CC:
blink-reviews
Target Ref:
refs/heads/master
Project:
blink
Visibility:
Public.

Description

Virtual test suites for slimming paint phase 2 These suites runs about 1000 layout tests as smoking tests for spv2. BUG=524134 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=201328 R=chrishtr@chromium.org, joelo@chromium.org Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=201339

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : #

Patch Set 4 : Update TestExpectations #

Patch Set 5 : Rebase #

Patch Set 6 : Rebase #

Patch Set 7 : #

Patch Set 8 : #

Patch Set 9 : Add more failure expectations discovered on real bots #

Unified diffs Side-by-side diffs Delta from patch set Stats (+125 lines, -8 lines) Patch
M LayoutTests/LeakExpectations View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M LayoutTests/TestExpectations View 1 2 3 4 5 6 7 8 5 chunks +87 lines, -5 lines 0 comments Download
M LayoutTests/VirtualTestSuites View 1 2 5 1 chunk +18 lines, -0 lines 0 comments Download
A LayoutTests/virtual/spv2/compositing/repaint/README.txt View 1 2 5 1 chunk +3 lines, -0 lines 0 comments Download
A LayoutTests/virtual/spv2/fast/repaint/README.txt View 1 chunk +3 lines, -0 lines 0 comments Download
A LayoutTests/virtual/spv2/paint/README.txt View 1 chunk +3 lines, -0 lines 0 comments Download
M Source/core/layout/compositing/DeprecatedPaintLayerCompositor.cpp View 1 2 3 4 5 6 7 1 chunk +10 lines, -3 lines 0 comments Download

Messages

Total messages: 23 (8 generated)
Xianzhu
I think the virtual test suites added in this CL will cover the most important ...
3 years, 7 months ago (2015-08-26 16:43:19 UTC) #2
chrishtr
On 2015/08/26 at 16:43:19, wangxianzhu wrote: > I think the virtual test suites added in ...
3 years, 7 months ago (2015-08-26 16:49:02 UTC) #3
Xianzhu
On 2015/08/26 16:49:02, chrishtr wrote: > On 2015/08/26 at 16:43:19, wangxianzhu wrote: > > I ...
3 years, 7 months ago (2015-08-26 17:05:33 UTC) #4
chrishtr
On 2015/08/26 at 17:05:33, wangxianzhu wrote: > On 2015/08/26 16:49:02, chrishtr wrote: > > On ...
3 years, 7 months ago (2015-08-26 17:07:31 UTC) #5
chrishtr
3 years, 7 months ago (2015-08-26 17:07:34 UTC) #6
Xianzhu
Fwiw, I used 'run-webkit-tests --dry-run <directory>'. Deleted Patch Set 4 which added the whole compositing/ ...
3 years, 7 months ago (2015-08-26 17:18:18 UTC) #8
chrishtr
+joelo Joel, do you think virtual test suites are performant enough at this point to ...
3 years, 7 months ago (2015-08-26 18:28:02 UTC) #10
joelo
On 2015/08/26 18:28:02, chrishtr wrote: > +joelo > > Joel, do you think virtual test ...
3 years, 7 months ago (2015-08-26 19:04:59 UTC) #11
chrishtr
lgtm
3 years, 7 months ago (2015-08-26 19:56:58 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1307293002/130001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1307293002/130001
3 years, 7 months ago (2015-08-27 17:11:31 UTC) #15
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/104583)
3 years, 7 months ago (2015-08-27 18:08:36 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1307293002/150001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1307293002/150001
3 years, 7 months ago (2015-08-27 18:13:34 UTC) #20
commit-bot: I haz the power
Committed patchset #8 (id:150001) as https://src.chromium.org/viewvc/blink?view=rev&revision=201328
3 years, 7 months ago (2015-08-27 19:25:46 UTC) #21
Xianzhu
Sorry, forgot to update the number in CL description. It should be "about 500 layout ...
3 years, 7 months ago (2015-08-27 19:38:58 UTC) #22
Xianzhu
3 years, 7 months ago (2015-08-27 20:53:16 UTC) #23
Message was sent while issue was closed.
Committed patchset #9 (id:170001) manually as 201339 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698